# List card programs

**GET** `/issuing/card-programs`

Retrieve a list of card programs.

### Query Parameters

- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/issuing/card-programs' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "card_programs": [
    {
      "bin_ranges": [
        {
          "bin_lower_bound_inclusive": "4111111100000000",
          "bin_upper_bound_inclusive": "4111111199999999",
          "id": "cbrg_2x8gszy5folpA9s0TOCseE9ABDM",
          "is_active": false,
          "scheme": "visa"
        }
      ],
      "card_authorization_policy_id": "caup_2x8gszy5folpA9s0TOCseE9ABDM",
      "card_program_type": "credit",
      "created_at": "2024-01-15T09:30:00Z",
      "credit_policy": "unsecured",
      "default_card_template_id": "ctmp_2x8gszy5folpA9s0TOCseE9ABDM",
      "description": "Corporate credit card program",
      "id": "cpgm_2x8gszy5folpA9s0TOCseE9ABDM",
      "primary_card_scheme": "visa",
      "secondary_card_scheme": "interlink",
      "status": "active"
    }
  ],
  "has_more": false
}
```
